## gmerlin 2.0.0~svn6298~dfsg0

=== debian/changelog ===
gmerlin (2.0.0~svn6298~dfsg0-5) unstable; urgency=medium

  * Add patch to make autoconf tests compliant with C99 (Closes: #1075014)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 12 Aug 2024 15:18:45 +0200

gmerlin (2.0.0~svn6298~dfsg0-4) unstable; urgency=medium

  * Fix FTBFS with patch for missing includes (Closes: #1073302)
  * Depend on 'pkgconf' rather than 'pkg-config'
  * Clean leftover files (Closes: #1044211)
  * Create pseudo-manpage to allow rebuild (Closes: #1049719)
  * Update d/copyright
    + Replace invalid [] wildcards in d/copyright
    + Bump copyright dates
  * Improve lintian-overrides
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 25 Jun 2024 09:01:45 +0200

gmerlin (2.0.0~svn6298~dfsg0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062171

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 18:38:49 +0000

gmerlin (2.0.0~svn6298~dfsg0-3) unstable; urgency=medium

  * B-D on libfreetype-dev (rather than libfreetype6-dev)
  * Purge camelot remains
    + Drop broken link to camelot-icon (Closes: #1040464)
    + Drop manpage for camelot
  * Use github for d/watch
  * Modernize 'licensecheck' target
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Jul 2023 11:03:29 +0200

gmerlin (2.0.0~svn6298~dfsg0-2) unstable; urgency=medium

  * Add patch for reproducible manpages.
    Thanks to Vagrant Cascadian <vagrant@reproducible-builds.org>
    (Closes: #1006256)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 08 Mar 2022 15:06:20 +0100

gmerlin (2.0.0~svn6298~dfsg0-1) unstable; urgency=medium

  * Upload to unstable.
  * libgmerlin-dev
    - Versioned dependency on libgavl-dev (>= 2~)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 12 Feb 2022 18:28:32 +0100

gmerlin (2.0.0~svn6298~dfsg0-1~exp1) experimental; urgency=medium

  * New upstream version 2.0.0~svn6298~dfsg0
    - Drop patches applied upstream
    - Refresh patches
  * Remove /usr/share/gmerlin/plugin.sym from gmerlin-data (Closes: #994866)
  * Add patch to fix FTBFS with format-security (Closes: #1003785)
  * Add patch for gmerlin-transcoder launcher
  * Rename libgmerlin0 to libgermlin2 to follow soname bump
    * Update symbols file
  * B-D on gavl>=2
  * Drop Breaks/Replaces relation against packages
    that are not even in oldoldstable
  * Use execute_before_dh_* instead of override_dh_*
  * Drop on-the-fly manpage generation
  * Drop lintian-override to gmerlin
  * Apply 'wrap-and-sort -ast'
  * Have d/watch mangle the version to 2.0.0~svn
  * Bump dates in d/copyright
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 03 Feb 2022 16:41:32 +0100

gmerlin (1.2.0+svn6244~dfsg0-1~exp1) experimental; urgency=medium

  * New upstream version 1.2.0+svn6244~dfsg0 (Closes: #967432)

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Bump to GTK-3
  * Refresh build-dependencies
    * Drop versioned B-D that is satisfiable in oldoldstable
  * d/patches
    * Refresh patches
    * Drop patches applied upstream
    * Add description for cdio-api-fixes.patch
    * Patch to not drop extra CFLAGS
    * Patch to prevent underlinking
    * Patch to prevent segfault when parsing cmdline args
    * Fix typos
  * Fix FTCBFS by using AC_TRY_RUN for posix semaphore check.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #977941)
    (Unfortunately upstream has introduced another bunch of AC_TRY_RUN
    invocations)
  * Versioned dependency on libgavl-dev
  * Disable jack support for now (no longer supported by upstream)
  * Enable hardening+all
  * Drop dbgsym-migration hacks
  * Drop no-longer-useful manpages
  * Drop "statically" (linked) from description of -dev package
  * Update install-files
    * Don't attempt to install non-existing auxiliary-binaries
  * Rename tag-name in lintian-override
  * Refresh libgmerlin0.symbols
  * Remove trailing whitespace from d/changelog
  * Update d/watch
    * Versionmangling in d/watch
  * Update d/copyright
    * Remove redundant globbing patterns from d/copyright
    * Drop non-matching globs from d/copyright
    * Use Files-Excluded to exclude files from orig.tgz
      * Strip out doc/ folder - it's GFDL-1.1
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Declare that building this package does not require 'root' powers.
  * Switched from cdbs to dh-13
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 31 Aug 2021 15:55:21 +0200
