=== debian/control ===
Source: gmerlin
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Romain Beauxis <toots@rastageeks.org>,
Homepage: http://gmerlin.sourceforge.net/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 devscripts,
 dh-buildinfo,
 doxygen,
 dpkg-dev (>= 1.22.5),
 fontconfig,
 gnulib,
 libasound2-dev [linux-any],
 libcddb2-dev,
 libcdio-paranoia-dev,
 libexif-dev,
 libfreetype-dev,
 libgavl-dev (>= 2~),
 libglu1-mesa-dev,
 libgtk-3-dev,
# libjack-dev,
 libjpeg-dev,
 libjson-c-dev,
 libmusicbrainz5-dev,
 libncurses-dev,
 libpng-dev,
 libpulse-dev,
 libquicktime-dev,
 libsqlite3-dev,
 libtiff-dev,
 libv4l-dev [linux-any],
 libvisual-0.4-dev,
 libxml2-dev,
 libxv-dev,
 texinfo,
Vcs-Browser: https://salsa.debian.org/multimedia-team/gmerlin
Vcs-Git: https://salsa.debian.org/multimedia-team/gmerlin.git

Package: gmerlin
Architecture: any
Multi-Arch: foreign
Depends:
 gmerlin-data (>= ${source:Version}),
 gmerlin-plugins-base,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gmerlin-encoders,
 gmerlin-plugins-avdecoder,
Description: multiformat media player
 Gmerlin is a multiformat media player with tree-like virtual directory
 structure, where you can save your files, webstreams or whatever. It
 handles even large media collections gracefully. Hardware devices appear
 also in the tree so you can open Audio-CDs, (S)VCDs, DVDs and
 DVB-broadcasts.
 .
 The applications include
 .
  o The GUI player: A multiformat media player with tree-like virtual
    directory structure, where you can save your files, webstreams or
    whatever. Gmerlin handles even large media collections gracefully.
    Hardware devices appear also in the tree so you can open Audio-CDs,
    (S)VCDs, DVDs and DVB-broadcasts.
  o Gmerlin transcoder: Feature rich transcoder, which supports audio,
    video, subtitles and chapters.
  o Gmerlin alsamixer: An Alsa mixer with support for multiple cards and
    detachable mixer controls.
  o Gmerlin visualizer: Run visualization plugins from your soundcard
  o Plugin configurator: Configure gmerlin plugins for programs which can't
    do this themselves.

Package: gmerlin-plugins-base
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Enhances:
 gmerlin,
Description: gmerlin plugins from the "base" set
 Gmerlin is a multiformat media player with tree-like virtual directory
 structure, where you can save your files, webstreams or whatever. It
 handles even large media collections gracefully. Hardware devices appear
 also in the tree so you can open Audio-CDs, (S)VCDs, DVDs and
 DVB-broadcasts.
 .
 This package provides the gmerlin plugins from the "base" set.

Package: gmerlin-data
Architecture: all
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
Description: multiformat media player - data files
 Gmerlin is a multiformat media player with tree-like virtual directory
 structure, where you can save your files, webstreams or whatever. It
 handles even large media collections gracefully. Hardware devices appear
 also in the tree so you can open Audio-CDs, (S)VCDs, DVDs and
 DVB-broadcasts.
 .
 This package contains data files (theme, icon files) for gmerlin.

Package: libgmerlin2t64
Provides:
 ${t64:Provides},
Replaces:
 libgmerlin2,
Breaks:
 libgmerlin2 (<< ${source:Version}),
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libgmerlin-common,
Description: core library for gmerlin - runtime files
 Gmerlin is a multiformat media player with tree-like virtual directory
 structure, where you can save your files, webstreams or whatever. It
 handles even large media collections gracefully. Hardware devices appear
 also in the tree so you can open Audio-CDs, (S)VCDs, DVDs and
 DVB-broadcasts.
 .
 This package contains the files needed to run a program compiled using
 libgmerlin.

Package: libgmerlin-common
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: core library for gmerlin - common runtime files
 Gmerlin is a multiformat media player with tree-like virtual directory
 structure, where you can save your files, webstreams or whatever. It
 handles even large media collections gracefully. Hardware devices appear
 also in the tree so you can open Audio-CDs, (S)VCDs, DVDs and
 DVB-broadcasts.
 .
 This package contains the common files needed by libgmerlin.

Package: libgmerlin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgavl-dev (>= 2~),
 libgmerlin2t64 (= ${binary:Version}),
 libxml2-dev,
 pkgconf | pkg-config,
 ${misc:Depends},
Description: core library for gmerlin - development files
 Gmerlin is a multiformat media player with tree-like virtual directory
 structure, where you can save your files, webstreams or whatever. It
 handles even large media collections gracefully. Hardware devices appear
 also in the tree so you can open Audio-CDs, (S)VCDs, DVDs and
 DVB-broadcasts.
 .
 This package contains the files needed to compile and link
 against libgmerlin.
