## gmerlin 2.0.0~svngit.20240121.06990a6+dfsg

=== debian/changelog ===
gmerlin (2.0.0~svngit.20240121.06990a6+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 2.0.0~svngit.20240121.06990a6+dfsg
    + Remove obsolete patches
    + Refresh patches
  * Add patch to fix spelling mistakes
  * Remove leftover files on 'clean' (Closes: #1044211, #1049719)
  * B-D on libudev-dev
  * Tighten versioned B-D on libgavl-dev
  * Fix installed files
  * Update d/libgmerlin2.symbols
  * Update copyright information
    + Update d/copyright
    + Update 'licensecheck' target
    + Re-generate d/copyright_hints
  * Add '+dfsg' repacksuffix to version

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 22 Jan 2024 17:50:36 +0100
