=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Romain Beauxis <toots@rastageeks.org>,
 Homepage: http://gmerlin.sourceforge.net/
-Standards-Version: 4.7.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  devscripts,
  dh-buildinfo,
  doxygen,
- dpkg-dev (>= 1.22.5),
  fontconfig,
  gnulib,
  libasound2-dev [linux-any],
@@ -21,7 +20,7 @@
  libcdio-paranoia-dev,
  libexif-dev,
  libfreetype-dev,
- libgavl-dev (>= 2~),
+ libgavl-dev (>= 2.0.0~svngit.20240111~),
  libglu1-mesa-dev,
  libgtk-3-dev,
 # libjack-dev,
@@ -34,6 +33,7 @@
  libquicktime-dev,
  libsqlite3-dev,
  libtiff-dev,
+ libudev-dev,
  libv4l-dev [linux-any],
  libvisual-0.4-dev,
  libxml2-dev,
@@ -110,13 +110,7 @@
  .
  This package contains data files (theme, icon files) for gmerlin.
 
-Package: libgmerlin2t64
-Provides:
- ${t64:Provides},
-Replaces:
- libgmerlin2,
-Breaks:
- libgmerlin2 (<< ${source:Version}),
+Package: libgmerlin2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -161,9 +155,9 @@
 Multi-Arch: same
 Depends:
  libgavl-dev (>= 2~),
- libgmerlin2t64 (= ${binary:Version}),
+ libgmerlin2 (= ${binary:Version}),
  libxml2-dev,
- pkgconf | pkg-config,
+ pkg-config,
  ${misc:Depends},
 Description: core library for gmerlin - development files
  Gmerlin is a multiformat media player with tree-like virtual directory
