=== debian/rules ===
--- 
+++ 
@@ -65,12 +65,6 @@
 		--with-cpuflags=none \
 		$(DEB_CONFIGURE_EXTRA_FLAGS)
 
-# 'make clean' removes this file, and while it is a dependency it is nowhere built
-# since Debian ships its own manpages anyhow, we create a dummy here rather than
-# patching the sources
-execute_before_dh_auto_build:
-	touch apps/transcoder/gmerlin_transcoder.1
-
 #execute_after_dh_auto_build:
 #	./apps/thumbnailer/gmerlin-video-thumbnailer -help-man | sed -e 's/-/\\-/g' > gmerlin-video-thumbnailer.1
 #	#PATH=$(CURDIR)/apps/player/:$(PATH) ./apps/player/gmerlin_launcher -help-man | sed -e 's/-/\\-/g' > gmerlin_launcher.1
@@ -83,7 +77,7 @@
 
 # Suppress scanning documentation images causing false alarms.
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
-	icons/.*|doc/img/.*|skins/.*/.*|po/.*\.gmo|debian/.*
+	icons/.*|web/(icons|wallpapers)/.*\.(bmp|jpg|png|xcf)|po/.*\.gmo|debian/.*
 # licensecheck v1
 .PHONY: licensecheck
 licensecheck:
