## gmerlin 2.0.0

=== debian/changelog ===
gmerlin (2.0.0-1) unstable; urgency=medium

  * Upload to unstable.

  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Feb 2026 15:43:54 +0100

gmerlin (2.0.0-1~exp2) experimental; urgency=medium

  * libgmerlin-dev: Tighten versioned depends on libgavl-dev
  * Tighten versioned Build-Dependency on libgavl-dev
  * Move cleanup code to d/clean
  * Drop d/restorefiles
  * Merge changelog entries between 'unstable' and 'experimental' uploads.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 11 Feb 2026 10:04:18 +0100

gmerlin (2.0.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.0.0
    + Drop obsolete patches
    + Refresh patches
  * Update Build-Dependencies
    + B-D on 'pkgconf'
    + B-D on libdrm-dev
    + Tighten versioned B-D on libgavl-dev
    + Drop B-D on 'devscripts' & 'dh-buildinfo'
  * libgmerlin2 -> libgmerlin3
    + Re-add symbols file
  * libgmerlin-dev: Depend on pkgconf instead of pkg-config
  * Drop empty package 'libgmerlin-common'
  * Drop obsolete lintian-override
  * Drop obsolete 'Priority: optional' stanza.
  * Drop obsolete 'Rules-Requires-Root: no' stanza.
  * Update d/watch
    + Update to version 5
  * Update git repository layout to follow DEP-14
    + Set debian-branch to 'debian/experimental'
  * Update copyright information
    + Drop unnecessary Files-Excluded from d/copyright
    + Fix copyright file patterns
    + Add new copyright stanzas
    + Bump copyright dates
    + Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 10 Feb 2026 08:01:45 +0100

gmerlin (2.0.0~svn6298~dfsg0-7) unstable; urgency=medium

  * Add patch to fix FTBFS with C23 (Closes: #1096729)
  * Update git repository layout to follow DEP-14

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 26 Sep 2025 12:37:43 +0200

gmerlin (2.0.0~svn6298~dfsg0-6) unstable; urgency=medium

  * Team Upload
  * Drop build-dep on devscripts
  * Remove obsolete build-dep dh-buildinfo
  * Remove CDBS leftovers from debian/README.source

 -- Alexandre Detiste <tchet@debian.org>  Mon, 18 Aug 2025 07:04:04 +0200
