=== debian/control ===
--- 
+++ 
@@ -1,26 +1,23 @@
 Source: gmerlin
 Section: sound
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Romain Beauxis <toots@rastageeks.org>,
 Homepage: http://gmerlin.sourceforge.net/
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Build-Depends:
  debhelper-compat (= 13),
- devscripts,
- dh-buildinfo,
  doxygen,
  fontconfig,
  gnulib,
  libasound2-dev [linux-any],
  libcddb2-dev,
  libcdio-paranoia-dev,
+ libdrm-dev,
  libexif-dev,
  libfreetype-dev,
- libgavl-dev (>= 2.0.0~svngit.20240111~),
+ libgavl-dev (>= 2.0.1~),
  libglu1-mesa-dev,
  libgtk-3-dev,
 # libjack-dev,
@@ -38,6 +35,7 @@
  libvisual-0.4-dev,
  libxml2-dev,
  libxv-dev,
+ pkgconf,
  texinfo,
 Vcs-Browser: https://salsa.debian.org/multimedia-team/gmerlin
 Vcs-Git: https://salsa.debian.org/multimedia-team/gmerlin.git
@@ -110,7 +108,7 @@
  .
  This package contains data files (theme, icon files) for gmerlin.
 
-Package: libgmerlin2
+Package: libgmerlin3
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -119,8 +117,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends:
- libgmerlin-common,
+#Recommends:
+# libgmerlin-common,
 Description: core library for gmerlin - runtime files
  Gmerlin is a multiformat media player with tree-like virtual directory
  structure, where you can save your files, webstreams or whatever. It
@@ -131,33 +129,33 @@
  This package contains the files needed to run a program compiled using
  libgmerlin.
 
-Package: libgmerlin-common
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Description: core library for gmerlin - common runtime files
- Gmerlin is a multiformat media player with tree-like virtual directory
- structure, where you can save your files, webstreams or whatever. It
- handles even large media collections gracefully. Hardware devices appear
- also in the tree so you can open Audio-CDs, (S)VCDs, DVDs and
- DVB-broadcasts.
- .
- This package contains the common files needed by libgmerlin.
+#Package: libgmerlin-common
+#Section: libs
+#Architecture: any
+#Multi-Arch: same
+#Pre-Depends:
+# ${misc:Pre-Depends},
+#Depends:
+# ${misc:Depends},
+# ${shlibs:Depends},
+#Description: core library for gmerlin - common runtime files
+# Gmerlin is a multiformat media player with tree-like virtual directory
+# structure, where you can save your files, webstreams or whatever. It
+# handles even large media collections gracefully. Hardware devices appear
+# also in the tree so you can open Audio-CDs, (S)VCDs, DVDs and
+# DVB-broadcasts.
+# .
+# This package contains the common files needed by libgmerlin.
 
 Package: libgmerlin-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
- libgavl-dev (>= 2~),
- libgmerlin2 (= ${binary:Version}),
+ libgavl-dev (>= 2.0.1~),
+ libgmerlin3 (= ${binary:Version}),
  libxml2-dev,
- pkg-config,
+ pkgconf,
  ${misc:Depends},
 Description: core library for gmerlin - development files
  Gmerlin is a multiformat media player with tree-like virtual directory
