=== debian/rules ===
--- 
+++ 
@@ -71,10 +71,6 @@
 #	./tests/gmerlin_imgconvert -help-man | sed -e 's/-/\\-/g' > gmerlin_imgconvert.1
 #	#./tests/gmerlin_visualize -help-man | sed -e 's/-/\\-/g' > gmerlin_visualize.1
 
-execute_before_dh_auto_clean:
-	rm -f gmerlin_imgconvert.1 gmerlin_launcher.1 gmerlin-video-thumbnailer.1 gmerlin_visualize.1
-
-
 # Suppress scanning documentation images causing false alarms.
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
 	icons/.*|web/(icons|wallpapers)/.*\.(bmp|jpg|png|xcf)|po/.*\.gmo|debian/.*
